#!/bin/bash

source install_library.bash

echo Using ARCHIVE=$ARCHIVE

# Basic stuff
install_packages build-essential linux-source kernel-package
PATCH=`get_http http://e-mode.phas.ubc.ca/mce/pc_install/bigphys/bigphysarea-2.6.31.patch`
cd $ARCHIVE

KBASE=`uname -r`
KROOT=${KBASE%%-*}
TARC=/usr/src/linux-source-${KROOT}.tar.bz2
DEST=$ARCHIVE/linux-source-${KROOT}

if [ -e $DEST ]; then
    echo $DEST exists, skipping extraction.
else
    echo "Untarring $TARC to $DEST (I think)"
    echo tar -xjf $TARC
fi
cd linux-source-$KROOT

# Apply patch
PATCHOPTS="--forward -p1 -i ../bigphysarea-2.6.31.patch"
if patch $PATCHOPTS --dry-run; then
    patch $PATCHOPTS
else
    echo "Patch will not go gently, go manual."
fi

# Copy config
CONFIG=/boot/config-$KBASE
cp $CONFIG .config
#make menuconfig
echo "CONFIG_BIGPHYS_AREA=y" >> .config

# Build
fakeroot make-kpkg clean
fakeroot make-kpkg --initrd kernel-image kernel-headers --append-to-version=-bigphys
