#!/bin/bash

source install_library.bash

sudo dpkg -i *.deb

# Grep the grub entry for the system install...
function grub_entry {
    awk '($1 == "menuentry") {s+=1} (s==1) {print $0}' /boot/grub/grub.cfg
}


ROOT=`grub_entry | grep 'set root'`
INSMOD=`grub_entry | grep insmod`
BIGPHYS=8192
LINUXLINE=`grub_entry | grep /boot/vmlinuz`

KVERSION=`echo $LINUXLINE | sed 's/.*vmlinuz-//g; s/-bigphys\ .*//g'`
UUID=`echo $LINUXLINE | sed 's/.*root=UUID=//g; s/\ .*//g'`

# Build a sed substitution command
cmd=
for var in KVERSION UUID ROOT INSMOD BIGPHYS; do
    cmd="$cmd s/@${var}@/${!var}/g;"
done

# Create 07_mce
cat 07_mce.in | sed "$cmd" | tee 07_mce

# Install it and update boot menu
sudo install 07_mce /etc/grub.d/

echo "Generating boot menu, this may take a while.  I do not know why that is."
sudo update-grub

